/*******************************************************************************
 * Copyright (c) 2005, 2014 springside.github.io
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 *******************************************************************************/
package com.yihu.wlyy.repository.followup;

import java.util.List;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.yihu.wlyy.entity.follow.FollowUpPlanStageTarget;

public interface FollowUpPlanStageTargetDao extends PagingAndSortingRepository<FollowUpPlanStageTarget, Long>, JpaSpecificationExecutor<FollowUpPlanStageTarget> {

	@Query("select a from FollowUpPlanStageTarget a order by a.id")
	List<FollowUpPlanStageTarget> findAll();

}
